﻿// JScript 文件
jQuery.fn.pagination = function(config){
    init("#"+this.attr("id"),config);
}
function init(t,config){

    var totalRecord = config.totalRecord > 0 ? config.totalRecord : 0; //总记录数
    if(totalRecord == 0){
        $(t).css("text-align","center");
        $(t).css("line-height","50px");
        $(t).html("很遗憾，没有检索到任何记录！");
        return;
    }
    var configPage = config.perPage > 0 ? config.perPage : 10;

    var perPage = $.cookie(t + "_perPage_fin_sel") == null ? configPage : parseInt($.cookie(t + "_perPage_fin_sel")); //每页显示记录数
    var proxyUrl = config.proxyUrl;//请求发送地址
    var groupSize = config.groupSize;//组大小
    var barPosition = config.barPosition == null ? 'bottom' : config.barPosition;//工具条位置
    var ajaxParam = config.ajaxParam;                                                                                                                                //ajax的请求参数

    //私有变量
    var totalPage = Math.ceil(totalRecord/perPage);//总页数
    var currentPage = $.cookie(t + "_currentPage_fin_sel") == null ? 1 : parseInt($.cookie(t + "_currentPage_fin_sel")); //当前页码
    var startRecord;//每页起始记录
    var endRecord;//每页结束记录
    var gpStartPage;
    var gpEndPage;
    var gpStartRecord;
    var gpEndRecord;

    //数据容器
    var container = '<div class="pgContainer"></div>'

    //添加工具条
    var toolbar = '<div class="pgToolbar">';
    toolbar += '<div class="pgPanel">';
    toolbar += '<div><select class="pgPerPage">';
    if(config.perPage>0)
        toolbar += '<option value="'+config.perPage+'">'+config.perPage+'</option>';
    toolbar += '<option value="5">5</option>';
    toolbar += '<option value="10">10</option>';
    toolbar += '<option value="15">15</option>';
    toolbar += '<option value="20">20</option>';
    toolbar += '<option value="25">25</option>';
    toolbar += '<option value="40">40</option>';
    toolbar += '</select>&nbsp;</div>';
    toolbar += '<div class="separator"></div>';
    toolbar += '<div class="pgBtn pgFirst" title="首页"></div>';
    toolbar += '<div class="pgBtn pgPrev" title="上页"></div>';
    toolbar += '<div class="separator"></div>';
    toolbar += '<div class="pgSearchInfo2">第 <input class="pgCurrentPage" type="text" value="' + currentPage + '" title="页码" readonly/> 页 / 共 <span class="pgTotalPage">' + totalPage + '</span> 页</div>';
    toolbar += '<div class="separator"></div>';
    toolbar += '<div class="pgBtn pgNext" title="下页"></div>';
    toolbar += '<div class="pgBtn pgLast" title="尾页"></div>';
    toolbar += '<div class="separator"></div>';
    toolbar += '<div class="pgBtn pgRefresh" title="刷新"></div>';
    
    toolbar += '<div class="separator"></div>';
    toolbar += '<div class="pgSearchInfo">检索到&nbsp;' + totalRecord + '&nbsp;条记录，显示第&nbsp;<span class="pgStartRecord">' + startRecord + '</span>&nbsp;条&nbsp;-&nbsp;第&nbsp;<span class="pgEndRecord">' + endRecord + '</span>&nbsp;条记录</div>';
    toolbar += '<hr class="cleanFloat" /></div>';
    toolbar += '</div>';

    if(perPage<totalRecord)
                $(t).html(container+toolbar);
    else
        $(t).html(container);

    var btnRefresh = $(t+" .pgRefresh");//刷新按钮
    var btnNext =$(t+" .pgNext");//下一页按钮
    var btnPrev = $(t+" .pgPrev");//上一页按钮
    var btnFirst = $(t+" .pgFirst");//首页按钮
    var btnLast = $(t+" .pgLast");//末页按钮
    var btnGo = $(t+" .pgNext,"+t+" .pgLast");
    var btnBack = $(t+" .pgPrev,"+t+" .pgFirst");
    var btn = $(t+" .pgFirst,"+t+" .pgPrev,"+t+" .pgNext,"+t+" .pgLast");
    var mask;
    
    var valCurrentPage = $(t+" .pgCurrentPage");
    var valStartRecord = $(t+" .pgStartRecord");
    var valEndRecord =$(t+" .pgEndRecord");
    var valContainer = $(t+" .pgContainer");
    var valPerPage = $(t+" .pgPerPage");
    var valTotalPage = $(t+" .pgTotalPage");

    $(t+" .pgPerPage").attr("value",perPage);
    getGroupStartEnd();
    getStartEnd();
    getRemoteData();
    

    //刷新按钮监听
    btnRefresh.bind("mousedown",pressHandler).bind("mouseup",unpressHandler).bind("mouseout",unpressHandler);

    //刷新工具栏
    refresh();
    
    //按钮监听
    //点击"下一页"按钮
    btnNext.click(
        function(){
            if(currentPage < totalPage){
                    currentPage += 1;
                    getStartEnd();
                    getRemoteData();
                
            }
        }
    );    
    //点击"前一页"按钮
    btnPrev.click(
        function(){
            if(currentPage > 1){
                
                    currentPage -= 1;
                    getStartEnd();
                    getRemoteData();
                
            }
        }
    );
    //点击"首页"按钮
    btnFirst.click(
        function(){
            if(currentPage > 1){
                
                    currentPage = 1;
                    
                    getStartEnd();
                    getRemoteData();
                
            }
        }
    );
    //最后一页
    btnLast.click(
        function(){
            if(currentPage < totalPage){
                
                    currentPage = totalPage;
                    
                    getStartEnd();
                    getRemoteData();
                
            }
        }
    );
    btnRefresh.click(
        function(){
            getStartEnd();
            getRemoteData();
        }
    );
    
    //页码输入框监听
    valCurrentPage.keydown(
        function(){
            var targetPage = parseInt($(this).val());
            if(event.keyCode==13 && targetPage>=1 && targetPage<=totalPage){
                    currentPage = targetPage;
                    getStartEnd();
                    getRemoteData();
                
            }
        }
    );
    
    valPerPage.change(
        function(){
            perPage = parseInt($(this).val());
            currentPage = 1;
            totalPage = Math.ceil(totalRecord/perPage);
            getStartEnd();
            getRemoteData();
            
        }
    );
    
    /*********************************init私有函数***************************************************/
    /**
       * 置为正在检索状态
       */
    function startLoad(){
        $(t).addClass("container");
        mask = document.createElement('div');
        $(mask).addClass("mask");
        $(mask).css("height",$(t).height());
        $(t).append(mask);
        $(t+" .pgRefresh").addClass("pgLoad");
        $(t+" .pgSearchInfo").html("正在检索中，请稍后...");
    }
    
    /**
       * 置为结束检索状态
       */
    function overLoad(){
        $(t+" .pgRefresh").removeClass("pgLoad");
        $(t+" .pgSearchInfo").html('检索到&nbsp;' + totalRecord + '&nbsp;条记录，显示第&nbsp;<span class="pgStartRecord">' + startRecord + '</span>&nbsp;条&nbsp;-&nbsp;第&nbsp;<span class="pgEndRecord">' + endRecord + '</span>&nbsp;条记录');
        //$(mask).remove();
        $(mask).fadeOut("slow");
    }
       
    function getRemoteData(){
        startLoad();
        $.ajax(
            {
                type: "POST",
                url: proxyUrl,
                cache: false,
                data: { current: currentPage, perPage: perPage },
                dataType: "json",
                timeout: 30000,
                success: function (json) {

                    var len = json.length;
                    var comptype = "";
                    var vertype = "";
                    var payinfo = "";
                    var certype = "";
                    var msg = "<table class='stripe_tb' border='0' cellpadding='0' cellspacing='0' width='100%'><thead><tr>";
                    msg += "<th>序号</th><th>业务员</th><th>公司名称</th><th>登记名称</th><th>流水号</th><th>登记种类</th><th>工作日</th><th>总费用</th><th>官费</th><th>利润额</th><th>是否审核</th><th>是否结款</th><th>是否领证</th><th>打款日期</th><th>领证日期</th><th>操作</th>";
                    msg += "</tr></thead>";
                    for (var i = 0; i < json.length; i++) {
                        msg += "<tr>";
                        msg += "<td>" + (startRecord + i) + "</td>";
                        msg += "<td>" + json[i].ManageUser_ChinaName + "</td>";
                        msg += "<td>" + json[i].ES_Reginfo_CompName + "</td>";
                        msg += "<td>" + json[i].ES_Reginfo_SoftName + "</td>";
                        msg += "<td><a href=../managecp/stateselect.aspx?sernum=" + json[i].ES_Reginfo_SerialNum + " target='_blank'>" + json[i].ES_Reginfo_SerialNum + "</a></td>";
                        msg += "<td>" + json[i].ES_RegCont_Name + "</td>";
                        msg += "<td>" + json[i].SpeedReg_Name + "</td>";
                        msg += "<td>" + json[i].ES_Reginfo_TotalPrice + "</td>";
                        msg += "<td>" + json[i].ES_Reginfo_GovPrice + "</td>";
                        msg += "<td>" + json[i].ES_Payinfo_ProfitTotal + "</td>";
                        if (json[i].ES_Reginfo_Review == "1") {
                            vertype = "<span style='color:black'>已审核</span>";
                        } else {
                            vertype = "<span style='color:red'>未审核</span>";
                        }
                        msg += "<td>" + vertype + "</td>";
                        if (json[i].ES_Reginfo_MoneyFlag == "0") {
                            payinfo = "<span style='color:red'>未打款</span>";
                        }
                        if (json[i].ES_Reginfo_MoneyFlag == "1") {
                            payinfo = "<span style='color:#FF00FF'>已付款</span>";

                        } if (json[i].ES_Reginfo_MoneyFlag == "2") {
                            payinfo = "<span style='color:#0000ff'>已结款</span>";

                        }
                        if (json[i].ES_Reginfo_MoneyFlag == "3") {
                            payinfo = "<span style='color:black'>已审核</span>";

                        }
                        if (json[i].ES_Reginfo_MoneyFlag == "4") {
                            payinfo = "<span style='color:black'>已换件</span>";

                        }
                        msg += "<td>" + payinfo + "</td>";
                        if (json[i].ES_Reginfo_TestifyFlag == "0") {
                            certype = "<span id=" + json[i].ES_Reginfo_SerialNum + " style='color:black'>已提交</span>";
                        } else if (json[i].ES_Reginfo_TestifyFlag == "7") {
                            certype = "<span id=" + json[i].ES_Reginfo_SerialNum + " style='color:black'>领取证书</span>";
                        }
                        else if (json[i].ES_Reginfo_TestifyFlag == "1") {
                            certype = "<span id=" + json[i].ES_Reginfo_SerialNum + " style='color:#6600ff'>已补正</span>";
                        } else if (json[i].ES_Reginfo_TestifyFlag == "2") {
                            certype = "<span id=" + json[i].ES_Reginfo_SerialNum + " style='color:red'>已撤回</span>";
                        }
                        msg += "<td>" + certype + "</td>";
                        msg += " <td>" + json[i].FinishDate + "</td>";
                        msg += " <td>" + json[i].GetCerdate + "</td>";
                        //                        msg += "<td><a href=SoftRegList.aspx?id=" + json[i].Company_ID + ">登记软件</a>|<a href=ContactList.aspx?id=" + json[i].Company_ID + ">联系人信息</a>|
                        msg += "<td>" + "<a href=../managecp/ShowSoftInfo.aspx?id=" + json[i].ES_Reginfo_ID + " target='_blank'>查看信息</a>";
                        //                        if (json[i].ES_Reginfo_Review == "1") {
                        //                            msg += "|<a href=NewEditComp.aspx?id=" + json[i].ES_Reginfo_ID + " target='_blank'>申请修改</a>" + "";
                        //                        } else {
                        //                            msg += "|<a href=AddCompSoftInfo.aspx?id=" + json[i].ES_Reginfo_ID + ">编辑信息</a>" + "";
                        //                        }
                        if (json[i].ES_Reginfo_MoneyFlag != "3" && json[i].ES_Reginfo_Review == "1") {
                            msg += "|<a href=ReviewSoftMoney.aspx?id=" + json[i].ES_Reginfo_ID + ">审核打款</a>" + "";
                        } else if (json[i].ES_Reginfo_Review == "0") {
                            msg += "|<a href=../managecp/ReviewSoftMoney.aspx?id=" + json[i].ES_Reginfo_ID + " target='_blank'>查看打款</a>" + "";
                        }else {
                            msg += "|<a href=../managecp/ReviewSoftMoney.aspx?id=" + json[i].ES_Reginfo_ID + " target='_blank'>查看审核</a>" + "";
                            msg += "|<a href=../managecp/NewEditComp.aspx?id=" + json[i].ES_Reginfo_ID + " target='_blank'>申请修改</a>" + "";
                        }
                        msg += "</td></tr>";
                    }
                    msg += "</table>";

                    getStartEnd();
                    loadData(msg); //加载内容
                    TableCss(); //加载table的鼠标划过事件
                    //tb_init('a.thickbox, area.thickbox, input.thickbox');//加载thinkbox
                    refresh();
                    overLoad();
                },
                error: function () {
                    alert("请求失败或超时，请稍后再试！");
                    overLoad();
                    return;
                }
            }
        )
    }
    
    function getStartEnd(){
            startRecord = (currentPage-1)*perPage+1;
            endRecord = Math.min(currentPage*perPage,totalRecord);
        
    }

    /**
       * 获得当前组开始结束页码
       */
    function getGroupStartEnd(){
        if(groupSize==null)
            return;
        var groupId = Math.ceil(currentPage/groupSize);
        gpStartPage = (groupId-1)*groupSize+1;
        gpEndPage = Math.min(groupId*groupSize,totalPage);
        gpStartRecord = (gpStartPage-1)*perPage+1;
        gpEndRecord = Math.min(gpEndPage*perPage,totalRecord);
    }

    /**
       * 刷新数据容器
       */
    function loadData(msg){
        valContainer.html(msg);
       // $("#tb").empty(); 
        //$("#tb").append(msg); 
    }

    /**
       * 刷新工具栏状态
       */
    function refresh(){
        //当前页码写入cookie
        $.cookie(t + '_currentPage_fin_sel', currentPage);
        $.cookie(t + '_perPage_fin_sel', perPage);

        valCurrentPage.val(currentPage);//当前页
        valStartRecord.html(startRecord);//开始记录
        valEndRecord.html(endRecord);//结束记录
        valTotalPage.html(totalPage);//总页数
        
        btn.unbind("mousedown",pressHandler);//取消鼠标按下的功能
        btn.bind("mouseup",unpressHandler);//绑定
        btn.bind("mouseout",unpressHandler);
        if(currentPage == totalPage){
            enabled();
            btnBack.bind("mousedown",pressHandler);
            btnNext.addClass("pgNextDisabled");
            btnLast.addClass("pgLastDisabled");
        }else    if(currentPage == 1){
            enabled();
            btnGo.bind("mousedown",pressHandler);
            btnPrev.addClass("pgPrevDisabled");
            btnFirst.addClass("pgFirstDisabled");
        }else{
            enabled();
            btnBack.bind("mousedown",pressHandler);
            btnGo.bind("mousedown",pressHandler);
            btnNext.addClass("pgNext");
            btnPrev.addClass("pgPrev");
            btnFirst.addClass("pgFirst");
            btnLast.addClass("pgLast");
        }
    }
    
    /**
       * 移除按钮disabled状态样式
       */
    function enabled(){
            btnNext.removeClass("pgNextDisabled");
            btnPrev.removeClass("pgPrevDisabled");
            btnFirst.removeClass("pgFirstDisabled");
            btnLast.removeClass("pgLastDisabled");
    }

    /**
       * 添加按钮按下状态样式
       */
    function pressHandler(){
        $(this).addClass("pgPress");
    }

    /**
       * 移除按钮按下状态样式
       */
    function unpressHandler(){
        $(this).removeClass("pgPress");
    }
    /**
     * 为表格添加鼠标划过事件
    **/
    function TableCss(){
        $(".stripe_tb tr").mouseover(function(){ //如果鼠标移到class为stripe_tb的表格的tr上时，执行函数
        $(this).addClass("over");}).mouseout(function(){ //给这行添加class值为over，并且当鼠标一出该行时执行函数
        $(this).removeClass("over");}) //移除该行的class
        $(".stripe_tb tr:even").addClass("alt"); //给class为stripe_tb的表格的偶数行添加class值为alt
    }
    /** 
    * 时间对象的格式化 
    */
    $.FormatDateTime = function(obj, IsMi) {
        var myDate = new Date(obj);
        var year = myDate.getFullYear();
        var month = ("0" + (myDate.getMonth() + 1)).slice(-2);
        var day = ("0" + myDate.getDate()).slice(-2);
        //        var h = ("0" + myDate.getHours()).slice(-2);
        //        var m = ("0" + myDate.getMinutes()).slice(-2);
        //        var s = ("0" + myDate.getSeconds()).slice(-2);
        var mi = ("00" + myDate.getMilliseconds()).slice(-3);
        if (IsMi == true) {
            //            return year + "-" + month + "-" + day + " " + h + ":" + m + ":" + s;
            return year + "-" + month + "-" + day;
        }
        else {
            //            return year + "-" + month + "-" + day + " " + h + ":" + m + ":" + s + "." + mi;
            return year + "-" + month + "-" + day;
        }
    }; 

}
